org.jbpm.casemgmt.impl.model

## Class CaseRoleImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.CaseRoleImpl

- All Implemented Interfaces:
    Serializable, CaseRole

      public class CaseRoleImpl
      extends Object
      implements CaseRole, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseRoleImpl()`
    `CaseRoleImpl(String name)`
    `CaseRoleImpl(String name, Integer cardinality)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getCardinality()` Returns maximum cardinality for this role - maximum assigned entities per case instance.
    `String` | `getName()` Returns name of the role
    `void` | `setCardinality(Integer cardinality)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseRoleImpl

          public CaseRoleImpl()

    - #### CaseRoleImpl

          public CaseRoleImpl(String name)

    - #### CaseRoleImpl

          public CaseRoleImpl(String name,
                              Integer cardinality)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CaseRole`
      Returns name of the role
      Specified by:
        `getName` in interface `CaseRole`
      Returns:

    - #### getCardinality

          public Integer getCardinality()

      Description copied from interface: `CaseRole`
      Returns maximum cardinality for this role - maximum assigned entities per case instance. Needs to be set to value greater than 0 to be taken into account.
      Specified by:
        `getCardinality` in interface `CaseRole`
      Returns:

    - #### setName

          public void setName(String name)

    - #### setCardinality

          public void setCardinality(Integer cardinality)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.